Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data
Class DateFieldDef

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.data.FieldDef
              com.gwtext.client.data.DateFieldDef

    public class DateFieldDef

extends FieldDef

Date field class. Following is the list of all currently supported formats:

     Sample date:
     'Wed Jan 10 2007 15:05:01 GMT-0600 (Central Standard Time)'

     Format  Output      Description
     ------  ----------  --------------------------------------------------------------
       d      10         Day of the month, 2 digits with leading zeros
       D      Wed        A textual representation of a day, three letters
       j      10         Day of the month without leading zeros
       l      Wednesday  A full textual representation of the day of the week
       S      th         English ordinal day of month suffix, 2 chars (use with j)
       w      3          Numeric representation of the day of the week
       z      9          The julian date, or day of the year (0-365)
       W      01         ISO-8601 2-digit week number of year, weeks starting on Monday (00-52)
       F      January    A full textual representation of the month
       m      01         Numeric representation of a month, with leading zeros
       M      Jan        Month name abbreviation, three letters
       n      1          Numeric representation of a month, without leading zeros
       t      31         Number of days in the given month
       L      0          Whether it's a leap year (1 if it is a leap year, else 0)
       Y      2007       A full numeric representation of a year, 4 digits
       y      07         A two digit representation of a year
       a      pm         Lowercase Ante meridiem and Post meridiem
       A      PM         Uppercase Ante meridiem and Post meridiem
       g      3          12-hour format of an hour without leading zeros
       G      15         24-hour format of an hour without leading zeros
       h      03         12-hour format of an hour with leading zeros
       H      15         24-hour format of an hour with leading zeros
       i      05         Minutes with leading zeros
       s      01         Seconds, with leading zeros
       O      -0600      Difference to Greenwich time (GMT) in hours
       T      CST        Timezone setting of the machine running the code
       Z      -21600     Timezone offset in seconds (negative if west of UTC, positive if east)

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`DateFieldDef(java.lang.String name)` Uses default date parsing via new Date(dataVal);
`DateFieldDef(java.lang.String name, int mapping, java.lang.String dateFormat)` Create a new DateFieldDef using the specified name and date format.
`DateFieldDef(java.lang.String name, java.lang.String dateFormat)` Create a new DateFieldDef using the specified name and date format.
`DateFieldDef(java.lang.String name, java.lang.String mapping, java.lang.String dateFormat)` Create a new DateFieldDef using the specified name and date format.

Method Summary

Methods inherited from class com.gwtext.client.data.FieldDef
`getName`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateFieldDef

    public DateFieldDef(java.lang.String name)

  Uses default date parsing via new Date(dataVal);

  Parameters:
    `name` - field name

### DateFieldDef

    public DateFieldDef(java.lang.String name,
                        java.lang.String dateFormat)

  Create a new DateFieldDef using the specified name and date format.

  Parameters:
    `name` - the field name
    `dateFormat` - the date format

### DateFieldDef

    public DateFieldDef(java.lang.String name,
                        java.lang.String mapping,
                        java.lang.String dateFormat)

  Create a new DateFieldDef using the specified name and date format.

  Parameters:
    `name` - the field name
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when reading from XML
    `dateFormat` - the date format

### DateFieldDef

    public DateFieldDef(java.lang.String name,
                        int mapping,
                        java.lang.String dateFormat)

  Create a new DateFieldDef using the specified name and date format.

  Parameters:
    `name` - the field name
    `mapping` - the field mapping, position based of local arrays
    `dateFormat` - the date format

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD